Non aggiornate libc6!!!!

Problemi riscontrati nella Hardy (Ubuntu 8.04) in fase di sviluppo.
Avatar utente
cabernet54
Prode Principiante
Messaggi: 123
Iscrizione: martedì 19 dicembre 2006, 10:30

Non aggiornate libc6!!!!

Messaggio da cabernet54 »

http://ubuntuforums.org/showthread.php?t=722886

Non voglio fare terrorismo e nemmeno spam (ho già riportato questo link in un thread precedente), ma vista la gravità temporanea delle conseguenze, e le modalità (non semplicissime) per porvi rimedio, mi sembrava doveroso segnalarlo a tutta la comunità italiana di tester della Hardy!

Dovrebbe risolversi presto.............  ;)

Edit:

In attesa del fix ufficiale, per coloro che fossero incappati in un classico update globale con esiti nefasti, questa sembra una delle soluzioni temporanee più semplici da applicare:
you can also download the debs with the hardy live CD, and "sudo dpkg --root=/path/to/mount/point --admindir=/path/to/mountpoint/var/lib/dpkg -i libc6_2.7-5ubuntu2_i386.deb libc6-i686_2.7-5ubuntu2_i386.deb"
Ultima modifica di cabernet54 il giovedì 13 marzo 2008, 8:52, modificato 1 volta in totale.
Asrock 939dual-sata2 - San Diego 4000+ RAM 4x512 - EN7600GT - Enermax NoiseTaker II 600W - 4HD in Muliboot da BIOS
SEMINA LINUX CHE TANTO WINDOWS SI PIANTA DA SOLO
LUCID LYNX 10.04 LTS RULEZ........
Avatar utente
lex79
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 3966
Iscrizione: venerdì 18 maggio 2007, 4:51
Località: Loano (Savona)

Re: Non aggiornate libc6!!!!

Messaggio da lex79 »

Troppo tardi...ho già aggiornato :( ma non ho ancora riavviato. Ma non ho capito come applicare il fix che hai citato
Avatar utente
cabernet54
Prode Principiante
Messaggi: 123
Iscrizione: martedì 19 dicembre 2006, 10:30

Re: Non aggiornate libc6!!!!

Messaggio da cabernet54 »

Lex79, potrò risponderti solo questa sera quando torno a casa, anch'io ho questo problema e vedrò come affrontarlo  (b2b)
Asrock 939dual-sata2 - San Diego 4000+ RAM 4x512 - EN7600GT - Enermax NoiseTaker II 600W - 4HD in Muliboot da BIOS
SEMINA LINUX CHE TANTO WINDOWS SI PIANTA DA SOLO
LUCID LYNX 10.04 LTS RULEZ........
ut
Prode Principiante
Messaggi: 10
Iscrizione: venerdì 29 dicembre 2006, 0:04

Re: Non aggiornate libc6!!!!

Messaggio da ut »

troppo tardi, ho fatto l'aggiornamento e ora il sistema è inaccessibile.  :'(
Avatar utente
Balim
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 288
Iscrizione: martedì 19 febbraio 2008, 17:50

Re: Non aggiornate libc6!!!!

Messaggio da Balim »

ut ha scritto: troppo tardi, ho fatto l'aggiornamento e ora il sistema è inaccessibile.  :'(
esatto...  :'(
Avatar utente
DktrKranz
Rampante Reduce
Rampante Reduce
Messaggi: 5071
Iscrizione: giovedì 2 novembre 2006, 11:24
Desktop: GNOME Shell
Distribuzione: Debian GNU/Linux sid - x86_64
Località: Guastalla (RE)
Contatti:

Re: Non aggiornate libc6!!!!

Messaggio da DktrKranz »

Avatar utente
cabernet54
Prode Principiante
Messaggi: 123
Iscrizione: martedì 19 dicembre 2006, 10:30

Re: Non aggiornate libc6!!!!

Messaggio da cabernet54 »

Questo attualmente sembra uno degli workaronud più validi:
1. boot with a live CD
2. mount broken ubuntu partition (say at /mnt/partition)
3. download and copy the old libc6 debs to /mnt/partition (the links are below)
http://archive.ubuntu.com/ubuntu/poo...untu2_i386.deb
http://archive.ubuntu.com/ubuntu/poo...untu2_i386.deb
if you have libc6-dev:
http://archive.ubuntu.com/ubuntu/poo...untu2_i386.deb
4. chroot into it using "chroot /mnt/partiton /bin/sh" (/bin/bash didn't work for me. I kept getting "core dumped")
5. dpkg -i libc6*
6. reboot into fixed ubuntu
7. pin libc6 version in synaptic and fix any broken dependencies
8. Like dinxter said, drink coffee and go to work :*)
8)
Asrock 939dual-sata2 - San Diego 4000+ RAM 4x512 - EN7600GT - Enermax NoiseTaker II 600W - 4HD in Muliboot da BIOS
SEMINA LINUX CHE TANTO WINDOWS SI PIANTA DA SOLO
LUCID LYNX 10.04 LTS RULEZ........
Avatar utente
GiovEdi
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1307
Iscrizione: martedì 2 ottobre 2007, 10:21

Re: Non aggiornate libc6!!!!

Messaggio da GiovEdi »

ho appena risolto seguendo questo workaround:


I fixed it, was actually quite simple
1. boot with live cd
2. open nautilus
3. mount disk by double-clicking it - now its mounted under /media/disk

4. download to desktop
http://archive.ubuntu.com/ubuntu/pool/m ... 2_i386.deb
http://archive.ubuntu.com/ubuntu/pool/m ... 2_i386.deb

5. unpack both by normal means - right click, extract here

6. go to first extracted dir
7. extract data.tgz
8. copy contents to /media/disk

9. go to second extracted dir
10. extract data.tgz
11. copy contents to /media/disk

check with chroot /media/disk if everything is okay

voila - unbricked

for sure there is a more simple solution but this one does the trick


---  ---  ---

edit: corretti i link

il post originale con il workaround è questo:

http://ubuntuforums.org/showpost.php?p= ... stcount=19
Ultima modifica di GiovEdi il giovedì 13 marzo 2008, 15:23, modificato 1 volta in totale.
prima leggere, poi casomai scrivere
« domandasti e ... ti risposi! » (Liz&Richard)
glpiana
Rampante Reduce
Rampante Reduce
Messaggi: 5053
Iscrizione: martedì 10 aprile 2007, 9:40

Re: Non aggiornate libc6!!!!

Messaggio da glpiana »

DktrKranz ha scritto: Confermato: https://bugs.launchpad.net/ubuntu/+sour ... bug/201673. Metto in evidenza.
io ho fatto quello che è stato consigliato da lillipuziano su launchpad. non riesco comunque ad avviare il sistema se non col kernel 2.6.24.11. inoltre non posso più avviare il terminale. non posso nemmeno fare il login in console dopo aver fatto CTRL+ALT+F1
Avatar utente
marcofan76
Prode Principiante
Messaggi: 92
Iscrizione: mercoledì 1 novembre 2006, 11:50
Località: Sardegna

Re: Non aggiornate libc6!!!!

Messaggio da marcofan76 »

anche io fatto la frittata............... nn ho ancora riavviato ..............

scusate nelle soluzioni che state postando i link nn vanno........sbaglio qualcosa io? mah....


cmq molti hanno seguito questa procedura.......




Here's how I did:

* Boot from the Live CD/DVD
* Depending on the Live CD you are using (Gnome is better, cause you'll only need to double click the appropriate icon on your desktop), you'll have to manually mount your root partition or not.
If you need to mount it (so, if you are using KDE), the best way is:

sudo su
mkdir /myroot
mount /dev/sda1 /myroot (where /dev/sda1 should be replaced in case)

* Then, download the old glibc:

chroot /myroot wget http://us.archive.ubuntu.com/ubuntu/poo ... 2_i386.deb

* And run dpkg in order to downgrade it:

chroot /myroot dpkg -x libc6_2.7-5ubuntu2_i386.deb

* After, you can always remove the package from your root dir.





adesso ci provo.......speriamo bene :(
Nessuno vi obbliga ad utilizzare Linux........se non avete voglia di documentarvi restate con Windows!!!! :)

http://marcofanuntza.blogspot.com/
Avatar utente
ShaiKailash
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 896
Iscrizione: mercoledì 25 ottobre 2006, 16:47
Contatti:

Re: Non aggiornate libc6!!!!

Messaggio da ShaiKailash »

mi accodo...stamattina ho avviato linux e ho fatto gli aggiornamenti. Niente, il terminale non si apriva più, la configurazione dei pacchetti si è fermata praticamente subito sul libc6, e ora non si avvia più. è brutto dirlo ma per fortuna che ho il doppio boot... ::) (la 7.10 non mi funge, sn costretto a usare la hardy)

Quale delle procedure conviene seguire per il fix?
Avatar utente
lex79
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 3966
Iscrizione: venerdì 18 maggio 2007, 4:51
Località: Loano (Savona)

Re: Non aggiornate libc6!!!!

Messaggio da lex79 »

A me i comandi con chroot davanti mi danno:
chroot: impossibile eseguire il comando `wget': Errore di formato di exec
chroot: impossibile eseguire il comando `dpkg': Errore di formato di exec
Avatar utente
marcofan76
Prode Principiante
Messaggi: 92
Iscrizione: mercoledì 1 novembre 2006, 11:50
Località: Sardegna

Re: Non aggiornate libc6!!!!

Messaggio da marcofan76 »

ho sbagliato i tempi postando sorry ;D
Ultima modifica di marcofan76 il giovedì 13 marzo 2008, 10:26, modificato 1 volta in totale.
Nessuno vi obbliga ad utilizzare Linux........se non avete voglia di documentarvi restate con Windows!!!! :)

http://marcofanuntza.blogspot.com/
Avatar utente
andrea.roma
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1919
Iscrizione: martedì 18 luglio 2006, 17:35

Re: Non aggiornate libc6!!!!

Messaggio da andrea.roma »

Giovedì ha scritto: ...
2. open nautilus
3. mount disk by double-clicking it - now its mounted under /media/disk

...
Unable to mount the selected volume
Immagine

:(
Povera Italia
glpiana
Rampante Reduce
Rampante Reduce
Messaggi: 5053
Iscrizione: martedì 10 aprile 2007, 9:40

Re: Non aggiornate libc6!!!!

Messaggio da glpiana »

glpiana ha scritto:
DktrKranz ha scritto: Confermato: https://bugs.launchpad.net/ubuntu/+sour ... bug/201673. Metto in evidenza.
io ho fatto quello che è stato consigliato da lillipuziano su launchpad. non riesco comunque ad avviare il sistema se non col kernel 2.6.24.11. inoltre non posso più avviare il terminale. non posso nemmeno fare il login in console dopo aver fatto CTRL+ALT+F1
proseguo col resoconto:
dopo aver fatto il downgrade a libc6_2.7-5ubuntu2_i386.deb e libc6-i686_2.7-5ubuntu2_i386.deb ho di nuovo l'uso del terminale e la possibilità di loggarmi in console. inoltre, dopo un reconfigure di xorg, riesco ad avere tutto (o quasi) sul kernel 2.6.24.12 (tranne il 3d, ma poco male :D)
lucabg
Prode Principiante
Messaggi: 34
Iscrizione: martedì 6 febbraio 2007, 14:24

Re: Non aggiornate libc6!!!!

Messaggio da lucabg »

Giovedì ha scritto: ho appena risolto seguendo questo workaround:

I fixed it, was actually quite simple
1. boot with live cd
2. open nautilus
3. mount disk by double-clicking it - now its mounted under /media/disk

4. download to desktop
http://archive.ubuntu.com/ubuntu/pool/m ... 2_i386.deb
http://archive.ubuntu.com/ubuntu/pool/m ... 2_i386.deb

5. unpack both by normal means - right click, extract here

6. go to first extracted dir
7. extract data.tgz
8. copy contents to /media/disk

9. go to second extracted dir
10. extract data.tgz
11. copy contents to /media/disk
check with chroot /media/disk if everything is okay
voila - unbricked
for sure there is a more simple solution but this one does the trick
---  ---  ---
edit: corretti i link
ciao,anche io ho risolto con questa procedura ( grazie Giovedì )!
al riavvio ho avuto un problema con serverx a causa dei driver nvidia, ho modificato il file xorg.conf mettendo "nv" al posto di "nvidia"

ciao!
Avatar utente
GiovEdi
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1307
Iscrizione: martedì 2 ottobre 2007, 10:21

Re: Non aggiornate libc6!!!!

Messaggio da GiovEdi »

@andrea.roma

Codice: Seleziona tutto

sudo nautilus
come on  ;)
prima leggere, poi casomai scrivere
« domandasti e ... ti risposi! » (Liz&Richard)
Avatar utente
ghostseven
Prode Principiante
Messaggi: 131
Iscrizione: sabato 5 novembre 2005, 17:11

Re: Non aggiornate libc6!!!!

Messaggio da ghostseven »

Ragazzi per AMD64 come procedo?

ho fatto tutta la procedura e mi dice:package architecture (i386) does not match system (amd64)

Suggerimenti???
Avatar utente
andrea.roma
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 1919
Iscrizione: martedì 18 luglio 2006, 17:35

Re: Non aggiornate libc6!!!!

Messaggio da andrea.roma »

Sì Giovedì, avevo provato con sudo nautilus ma il risultato è stato lo stesso

Ho infine montato con i comandi
sudo mkdir /media/disk
sudo mount /dev/hda2 /media/disk

Ma a questo punto il problema è che non riesco ad estrarre i deb
Immagine
Povera Italia
glpiana
Rampante Reduce
Rampante Reduce
Messaggi: 5053
Iscrizione: martedì 10 aprile 2007, 9:40

Re: Non aggiornate libc6!!!!

Messaggio da glpiana »

ghostseven ha scritto: Ragazzi per AMD64 come procedo?

ho fatto tutta la procedura e mi dice:package architecture (i386) does not match system (amd64)

Suggerimenti???
vai qui http://archive.ubuntu.com/ubuntu/pool/main/g/glibc/ e vedi come si chiamano i pacchetti per amd64 (non so però se la soluzione vale anche per la 64bit che io non ho, ma alla fine sempre di downgrade di pacchetti si tratta)
Scrivi risposta

Ritorna a “Hardy 8.04”

Chi c’è in linea

Visualizzano questa sezione: 0 utenti iscritti e 0 ospiti